Bug 55706 - gcc3 gives internal compiler error with -O2 -mcpu=k6
gcc3 gives internal compiler error with -O2 -mcpu=k6
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gcc3 (Show other bugs)
7.2
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-05 07:45 EST by Darren Tucker
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-26 14:33:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Darren Tucker 2001-11-05 07:45:01 EST
From Bugzilla Helper:

Description of problem:
When compiling regex.c from textutils-2.0.14 with gcc3-3.0.1-3 and flags 
"-O2 -mcpu=k6" gcc gives "Unrecognizable insn" and "Internal compiler error 
in insn_default_length, at insn-attrtab.c:223".

Version-Release number of selected component (if applicable):
gcc3-3.0.1-3

How reproducible:
Always

Steps to Reproduce:
[root@gate root]# cd /usr/src/redhat
[root@gate redhat]# rpm -i /cdrom/4/SRPMS/textutils-2.0.14-2.src.rpm
[root@gate redhat]# rpm -bp SPECS/textutils.spec
[root@gate redhat]# cd BUILD/textutils-2.0.14
[root@gate textutils-2.0.14]# CC=gcc3
[root@gate textutils-2.0.14]# CFLAGS="-O2 -march=k6"
[root@gate textutils-2.0.14]# export CC CFLAGS
[root@gate textutils-2.0.14]# ./configure && make

Actual Results:
[output of make snipped]
gcc3 -DLIBDIR=\"/usr/local/lib\" -DHAVE_CONFIG_H -I.. -I. -I../intl    -O2 
-march=k6 -c -o regex.o `test -f regex.c || echo './'`regex.c
regex.c: In function `re_match_2_internal':
regex.c:7233: Unrecognizable insn:
(insn 9583 3949 9584 (parallel[ 
            (set (reg/v:SI 3 ebx [769])
                (const_int 0 [0x0]))
            (clobber (reg:CC 17 flags))
        ] ) -1 (nil)
    (expr_list:REG_UNUSED (reg:CC 17 flags)
        (nil)))
regex.c:7233: Internal compiler error in insn_default_length, at 
insn-attrtab.c:223
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.

Additional info:

AMD K6III/400 CPU
128MB RAM, 700MB swap
This may be related to bugid #54617 (similar error).
Comment 1 Jakub Jelinek 2001-11-07 12:50:47 EST
This was fixed on 3.0 branch with
http://gcc.gnu.org/ml/gcc-patches/2001-10/msg00206.html
So next time I pack up gcc 3.0.x, it will be in.
It doesn't fail on gcc trunk.
Comment 2 Need Real Name 2001-11-26 14:33:19 EST
Just as an FYI, this bug also prevents the Linux kernel module 8139too.c from
being able to be compiled.
Comment 3 Darren Tucker 2002-10-11 11:52:33 EDT
Retested with gcc-3.2 from RH8, worked fine.

Note You need to log in before you can comment on or make changes to this bug.